### Class

# EvinceView JobRender

since: 3.0

#### Description

    class EvinceView.JobRender : EvinceView.Job
    {
      page: gint,
      rotation: gint,
      scale: gdouble,
      page_ready: gboolean,
      target_width: gint,
      target_height: gint,
      surface: cairo_surface_t*,
      include_selection: gboolean,
      selection: cairo_surface_t*,
      selection_region: cairo_region_t*,
      selection_points: EvRectangle,
      selection_style: EvSelectionStyle,
      base: GdkColor,
      text: GdkColor
    }

No description available.

Available since: 3.0

#### Ancestors

- EvJob
- GObject

#### Constructors

###### ev_job_render_new

No description available.

since: 3.0

#### Instance methods

###### ev_job_render_set_selection_info

No description available.

since: 3.0

##### Methods inherited from EvJob (11)

###### ev_job_cancel

No description available.

since: 3.0

###### ev_job_failed

No description available.

since: 3.0

###### ev_job_failed_from_error

No description available.

since: 3.0

###### ev_job_get_run_mode

No description available.

since: 3.0

###### ev_job_is_failed

No description available.

since: 3.0

###### ev_job_is_finished

No description available.

since: 3.0

###### ev_job_run

No description available.

since: 3.0

###### ev_job_scheduler_push_job

No description available.

since: 3.0

###### ev_job_scheduler_update_job

No description available.

since: 3.0

###### ev_job_set_run_mode

No description available.

since: 3.0

###### ev_job_succeeded

No description available.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from EvJob (2)

###### EvJob::cancelled

No description available.

since: 3.0

###### EvJob::finished

No description available.

since: 3.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceViewJobRenderClass {
      EvJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: EvJobClass`
  No description available.